Skip to main content
GET
/
api
/
workers
/
business-hours
/
{id}
JavaScript
import BrainbaseLabs from 'brainbase-labs';

const client = new BrainbaseLabs({
  apiKey: process.env['BRAINBASE_LABS_API_KEY'], // This is the default and can be omitted
});

const businessHour = await client.workers.businessHours.retrieve('id');

console.log(businessHour.id);
{
  "id": "<string>",
  "hours": {},
  "timezone": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "primaryTag": "<string>",
  "secondaryTag": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.usebrainbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key authentication

Path Parameters

id
string
required

Query Parameters

includeTeamPhoneHours
boolean

Set to true to include related team phone hours

Response

Business hours details

id
string
required
hours
object
required
timezone
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
primaryTag
string | null
secondaryTag
string | null